/*
 * Copyright (C) 2018 Pedro Perez
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package edu.uoc.sporttrack.model;

import android.content.Context;

public class Base implements Itemizable
{
    protected Context context;

    public Context getContext()
    {
        return context;
    }

    public void setContext(Context context)
    {
        this.context = context;
    }

    @Override
    public long getId()
    {
        return -1;
    }

    @Override
    public String getItemTitle()
    {
        return null;
    }

    @Override
    public String getItemSubtitle()
    {
        return null;
    }

    @Override
    public String getItemRemark()
    {
        return null;
    }

    @Override
    public int getImage()
    {
        return 0;
    }

    @Override
    public String getItemSets()
    {
        return null;
    }

    @Override
    public String getItemReps()
    {
        return null;
    }

    @Override
    public String getItemRest()
    {
        return null;
    }

    @Override
    public String getItemWeight()
    {
        return null;
    }

    @Override
    public boolean isHighlighted()
    {
        return false;
    }

    @Override
    public boolean isEditable()
    {
        return false;
    }

    @Override
    public boolean isDeletable()
    {
        return false;
    }

    @Override
    public boolean isSelectable()
    {
        return true;
    }
}
